### Constructor

# Foundry OpenFileIntent new

#### Declaration [src]

    FoundryIntent*
    foundry_open_file_intent_new (
      GFile* file,
      const char* content_type
    )

#### Description

No description available.

#### Parameters

`file`

  Type: `GFile`

  No description available.

  The data is owned by the caller of the function.

`content_type`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FoundryIntent`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.